import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;

import javax.swing.JFrame;
import javax.swing.JPanel;

class MyPanel extends JPanel {
	public void paintComponent(Graphics g) {
		super.paintComponent(g);
		Dimension d = getSize();
		int gWidth = d.width / 7;
		int gHeight = d.height;

		int x = 5;
		int y = 5;
		int width = gWidth - 10;
		int height = gHeight - 10;

		g.drawLine(x, y + height - 1, x + width, y);
		x += gWidth;

		g.setColor(Color.blue);
		g.fillRect(x, y, width, height);
		x += gWidth;

		g.setColor(Color.lightGray);
		g.fill3DRect(x, y, width, height, true);
		x += gWidth;

		g.setColor(Color.red);
		g.fillRoundRect(x, y, width, height, 20, 20);
		x += gWidth;

		g.setColor(Color.green);
		g.fillOval(x, y, width, height);
		x += gWidth;

		g.setColor(Color.pink);
		g.fillArc(x, y, width, height, 90, 150);
		x += gWidth;

		int xp[] = { x, x+30, x+80, x+90 };
		int yp[] = { y, y+80, y+30, y+50 };
		g.setColor(Color.orange);
		g.fillPolygon(xp, yp, xp.length);
	}
}
public class MyFrame extends JFrame {
	public MyFrame() {
		setTitle("MyFrame");
		setSize(700, 180);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		MyPanel p = new MyPanel();
		setVisible(true);
		add(p);
	}
	public static void main(String[] args) {
		MyFrame frame = new MyFrame();
	}
}